Subject: Re: bug#7822: 24.0.50; `fit-window-to-buffer': take display artefacts into account

From: Lennart Borgman <[email-masked]>
Date: Wed, 12 Jan 2011 11:40:52 +0100

On Wed, Jan 12, 2011 at 4:16 AM, Drew Adams <[email-masked]> wrote:
>> Try first to adjust window below and if that is not enough window
>> above.
>
> I looked only at the doc string.  Whatever we do for `fit-window-to-buffer', it
> should _not_ take any other windows into account or have any effect on any other
> windows.  This is only about fitting a window to its buffer as displayed.
> Whatever effects that might have on other windows are derivative, and not to be
> taken into account in this function.
>
> It sounds like you are doing something different from what this bug is about.

Not really, but your answer makes me realize that my solution above is
not enough.

And I actually have a better solution in winsize.el, but it is quite a
bit more elaborate and probably not what we want.

Instead I believe we want a variant of enlarge-window that is not
allowed to delete-windows. Building on that we can make a more simple
solution.